local PMsound = {}
PMsound.event = {}
PMsound.init = {}
PMsound.active = gkini.ReadInt("PMsound", "active", 1)
PMsound.volume = gkini.ReadString("PMsound", "volume", '0.35')
PMsound.version = '1.0'

--## Choco ##--

local SOUND_NAME = 'user_sound'
local SOUND_PATH = "plugins/ChSound/SNDFILE.ogg" --change SNDFILE.ogg to your sound file

local sounds = {
	[SOUND_NAME] = gksound.GKLoadSound{soundname=SOUND_NAME,filename=SOUND_PATH},
}

function PMsound.init:PLAYER_ENTERED_GAME(event, data)
	if PMsound.active==1 then print('\127ffffffPMsound On\127o') end
end

function PMsound.event:CHAT_MSG_PRIVATE(event, data)
	if PMsound.active==1 then gksound.GKPlaySound(SOUND_NAME, PMsound.volume) end
end

function PMsound:input(args)
	if args == nil then
		PMsound.help()
	elseif args[1]:lower() == 'on' then
		PMsound.active = 1
		print('PMsound On')
		gkini.WriteInt("PMsound", "active", 1)
	elseif args[1]:lower() == 'off' then
		PMsound.active = 0
		print('PMsound Off')
		gkini.WriteInt("PMsound", "active", 0)
	elseif args[1]:lower() == 'setvol' then
		if args[2] == nil then
			print('You must specify percentage for the volume, either as a decimal or 2-100. Current volume: '..PMsound.volume)
		else
			local vol = tonumber(args[2])
				if vol >=0 and vol <= 1 then
					--no conversion necessary
				elseif vol > 1 and vol <= 100 then
					vol = vol/100
				else vol = 1 end
								
			PMsound.volume = vol
			print('PMound volume set to '..PMsound.volume)
			gkini.WriteString("PMsound", "volume", PMsound.volume)
		end
	elseif args[1]:lower() == 'test' then
		PMsound.test()
	else PMsound.help() end
end

function PMsound.test()
	gksound.GKPlaySound(SOUND_NAME, PMsound.volume)
end

function PMsound.help()
	print('\127ffffffPMsound v'..PMsound.version..'  Available commands are:'..
	'\n\t/PMsound on/off - turn plugin ON or OFF'..
	'\n\t/PMsound setvol \127ff77ffPERCENT\127o - sets volume: \127ff77ffPERCENT\127o can be a decimal or 2-100'..
	'\n\t/PMsound test - sound test')
end

RegisterEvent(PMsound.event, "CHAT_MSG_PRIVATE")
RegisterEvent(PMsound.init, "PLAYER_ENTERED_GAME")
RegisterUserCommand("PMsound", PMsound.input)